## org.apache.poi.util
Class LittleEndianOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.poi.util.LittleEndianOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, LittleEndianOutput

    public final class LittleEndianOutputStream

extends java.io.FilterOutputStream
implements LittleEndianOutput

Author:
  Josh Micich

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LittleEndianOutputStream(java.io.OutputStream out)`

Method Summary
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `writeByte(int v)`
`void` `writeDouble(double v)`
`void` `writeInt(int v)`
`void` `writeLong(long v)`
`void` `writeShort(int v)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LittleEndianOutputStream

    public LittleEndianOutputStream(java.io.OutputStream out)

Method Detail

### writeByte

    public void writeByte(int v)

  Specified by:
    `writeByte` in interface `LittleEndianOutput`

### writeDouble

    public void writeDouble(double v)

  Specified by:
    `writeDouble` in interface `LittleEndianOutput`

### writeInt

    public void writeInt(int v)

  Specified by:
    `writeInt` in interface `LittleEndianOutput`

### writeLong

    public void writeLong(long v)

  Specified by:
    `writeLong` in interface `LittleEndianOutput`

### writeShort

    public void writeShort(int v)

  Specified by:
    `writeShort` in interface `LittleEndianOutput`

### write

    public void write(byte[] b)

  Specified by:
    `write` in interface `LittleEndianOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Specified by:
    `write` in interface `LittleEndianOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.